WebLogicSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.bea.wls.ejb.WebLogicSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.bea.wls.ejb
Class WebLogicSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
                          xdoclet.modules.bea.wls.ejb.WebLogicSubTask

All Implemented Interfaces:
  Serializable

public class WebLogicSubTask
extends AbstractEjbDeploymentDescriptorSubTask

This task can generate deployment descriptors for WLS 6.0, 6.1, 7.0 and 8.1. The destinationFile attribute is ignored because this subtask creates multiple deployment descriptor files.

Version:
  $Revision: 1.29 $
Author:
  Aslak Hellesøy , Jerome Bernard
See Also:
  Serialized Form
ant.element
  display-name="WebLogic Server" name="weblogic" parent="xdoclet.modules.ejb.EjbDocletTask"
created
  Sept 11, 2001

Nested Class Summary
`static class` | `WebLogicSubTask.CreateTablesType`
`static class` | `WebLogicSubTask.DatabaseTypes` Legal values of the database-type in weblogic-rdbms20-persistence-700.dtd
`static class` | `WebLogicSubTask.ValidateDbSchemaWithTypes` Legal values of the validate-db-schema-with in weblogic-rdbms20-persistence-600.dtd
`static class` | `WebLogicSubTask.Version` Supported WLS versions.

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`WebLogicSubTask()`

Method Summary
`protected void` | `engineStarted()` Describe what the method does
`void` | `execute()` Describe what the method does
`String` | `getCreatetables()` Gets the Createtables attribute of the WebLogicSubTask object
`String` | `getDatabaseType()` Gets the database type specified in the weblogic deployment descriptor.
`String` | `getDatasource()` Gets the Datasource attribute of the WebLogicSubTask object
`String` | `getEnableBatchOperations()`
`String` | `getEnableBeanClassRedeploy()`
`String` | `getOrderDatabaseOperations()`
`String` | `getPersistence()`
`String` | `getPoolname()`
`String` | `getValidateDbSchemaWith()`
`String` | `getVersion()` Gets the Version attribute of the WebLogicSubTask object
`void` | `setCmpTemplateFile(File templateFile)` Sets the template file for generation of weblogic-cmp-rdbms-jar.xml.
`void` | `setCreatetables(WebLogicSubTask.CreateTablesType flag)` If "True" or "CreateOnly", then at deployment time if there is no Table in the Database for a CMP Bean, the Container will attempt to CREATE the Table (based on information found in the deployment files and in the Bean Class).
`void` | `setDatabaseType(WebLogicSubTask.DatabaseTypes databaseType)` Sets the database type specified in the weblogic-cmp-rdbms-jar.xml deployment descriptor.
`void` | `setDatasource(String dataSource)` Specifies a default value for the data-source-name element in the CMP descriptor, to use if no weblogic.data-source-name tag appears on a bean.
`void` | `setEnableBatchOperations(boolean flag)`
`void` | `setEnableBeanClassRedeploy(boolean flag)`
`void` | `setOrderDatabaseOperations(boolean flag)`
`void` | `setPersistence(String persistence)` Sets the persistence type to use.
`void` | `setPoolname(String s)` Specifies a default value for the pool-name element in the CMP descriptor, to use if no weblogic.pool-name tag appears on a bean (only applies when ejbspec=1.1)
`void` | `setTemplateFile(File templateFile)` Sets the template file for generation of weblogic-ejb-jar.xml.
`void` | `setValidateDbSchemaWith(WebLogicSubTask.ValidateDbSchemaWithTypes type)` The CMP subsystem checks that beans have been mapped to a valid database schema at deployment time.
`void` | `setVersion(WebLogicSubTask.Version version)` Sets the target WebLogic version to generate for.
`void` | `validateOptions()` Called to validate configuration parameters.

Methods inherited from class xdoclet.modules.ejb.dd.AbstractEjbDeploymentDescriptorSubTask
`atLeastOneCmp1EntityBeanExists, atLeastOneCmp2EntityBeanExists, atLeastOneCmpEntityBeanExists`

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebLogicSubTask

    public WebLogicSubTask()

Method Detail

### getDatabaseType

    public String getDatabaseType()

  Gets the database type specified in the weblogic deployment descriptor. This is a WLS 7.0 and higher feature. Possible values: DB2 INFORMIX ORACLE SQL_SERVER SYBASE POINTBASE

  Returns:
    DatabaseType

### getDatasource

    public String getDatasource()

  Gets the Datasource attribute of the WebLogicSubTask object

  Returns:
    The Datasource value

### getPoolname

    public String getPoolname()

### getVersion

    public String getVersion()

  Gets the Version attribute of the WebLogicSubTask object

  Returns:
    The Version value

### getCreatetables

    public String getCreatetables()

  Gets the Createtables attribute of the WebLogicSubTask object

  Returns:
    The Createtables value

### getPersistence

    public String getPersistence()

### getValidateDbSchemaWith

    public String getValidateDbSchemaWith()

### getOrderDatabaseOperations

    public String getOrderDatabaseOperations()

### getEnableBatchOperations

    public String getEnableBatchOperations()

### getEnableBeanClassRedeploy

    public String getEnableBeanClassRedeploy()

### setTemplateFile

    public void setTemplateFile(File templateFile)
                         throws XDocletException

  Sets the template file for generation of weblogic-ejb-jar.xml.

  Overrides:
    `setTemplateFile` in class `TemplateSubTask`
  Parameters:
    `templateFile` -
  Throws:
    `XDocletException`
  See Also:
    `TemplateSubTask.setTemplateFile(java.io.File)`

### setCmpTemplateFile

    public void setCmpTemplateFile(File templateFile)
                            throws XDocletException

  Sets the template file for generation of weblogic-cmp-rdbms-jar.xml.

  Parameters:
    `templateFile` - the file name (real file!) of the template
  Throws:
    `XDocletException`

### setOrderDatabaseOperations

    public void setOrderDatabaseOperations(boolean flag)

### setEnableBatchOperations

    public void setEnableBatchOperations(boolean flag)

### setEnableBeanClassRedeploy

    public void setEnableBeanClassRedeploy(boolean flag)

### setDatabaseType

    public void setDatabaseType(WebLogicSubTask.DatabaseTypes databaseType)

  Sets the database type specified in the weblogic-cmp-rdbms-jar.xml deployment descriptor. This is a WLS 7.0 and higher feature. Possible values: DB2 INFORMIX ORACLE SQL_SERVER SYBASE POINTBASE

  Parameters:
    `databaseType` -

### setPoolname

    public void setPoolname(String s)

  Specifies a default value for the pool-name element in the CMP descriptor, to use if no weblogic.pool-name tag appears on a bean (only applies when ejbspec=1.1)

  Parameters:
    `s` -

### setDatasource

    public void setDatasource(String dataSource)

  Specifies a default value for the data-source-name element in the CMP descriptor, to use if no weblogic.data-source-name tag appears on a bean.

  Parameters:
    `dataSource` -

### setVersion

    public void setVersion(WebLogicSubTask.Version version)

  Sets the target WebLogic version to generate for. Possible values are 6.1, 7.0 and 8.1

  Parameters:
    `version` - The new Version value

### setPersistence

    public void setPersistence(String persistence)

  Sets the persistence type to use. Useful if you're using a different persistence manager like MVCSoft

  Parameters:
    `persistence` -

### setCreatetables

    public void setCreatetables(WebLogicSubTask.CreateTablesType flag)

  If "True" or "CreateOnly", then at deployment time if there is no Table in the Database for a CMP Bean, the Container will attempt to CREATE the Table (based on information found in the deployment files and in the Bean Class). Valid values are "True" and "False" for WLS Servers < Version 8.1 and "CreateOnly", "DropAndCreate", "DropAndCreateAlways", "AlterOrCreate" and "Disabled" for WLS Servers >= 8.1.

  Parameters:
    `flag` - The new Createtables value

### setValidateDbSchemaWith

    public void setValidateDbSchemaWith(WebLogicSubTask.ValidateDbSchemaWithTypes type)

  The CMP subsystem checks that beans have been mapped to a valid database schema at deployment time. A value of 'MetaData' means that JDBC metadata is used to validate the schema. A value of 'TableQuery' means that tables are queried directly to ascertain that they have the schema expected by the CMP runtime.

  Parameters:
    `type` -

### validateOptions

    public void validateOptions()
                         throws XDocletException

  Called to validate configuration parameters.

  Overrides:
    `validateOptions` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Description of Exception

### execute

    public void execute()
                 throws XDocletException

  Description copied from class: `TemplateSubTask`
  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException`
  See Also:
    `SubTask.execute()`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD